# Created by pyp2rpm-3.3.3
%global pypi_name certipy

Name:           python-%{pypi_name}
Version:        0.1.3
Release:        1%{?dist}
Summary:        Utility to create and sign CAs and certificates

License:        BSD
URL:            https://github.com/LLNL/certipy
Source0:        %{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pyopenssl)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description
 CertipyA simple python tool for creating certificate authorities and
certificates on IntroductionCertipy was made to simplify the certificate
creation process. To that end, Certipy exposes methods for creating and
managing certificate authorities, certificates, signing and building trust
bundles. Behind the scenes Certipy:* Manages records of all certificates it
creates * External certs can...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pyopenssl)
Requires:       python3dist(pytest)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
 CertipyA simple python tool for creating certificate authorities and
certificates on IntroductionCertipy was made to simplify the certificate
creation process. To that end, Certipy exposes methods for creating and
managing certificate authorities, certificates, signing and building trust
bundles. Behind the scenes Certipy:* Manages records of all certificates it
creates * External certs can...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/certipy
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Oct 20 2021 Aram Minasyan <aram.minasyan@yahoo.com> - 0.1.3-1
- Initial package.
